Installare DraftSight su Debian Wheezy/Sid 64-bit

 

 

 

DraftSight è un Free Cad software. Per installarlo su Debian Wheezy/Sid, bisogna scaricare il deb dal sito  e poi installare alcune dipendenze:

 

# apt-get install libdirectfb-extra libxcb-render-util0 ia32-libs ia32-libs-gtk

 

e forzare l'installazione:

 

# dpkg -i --force-architecture,depends draftSight.deb

 

praticamente nella shell succede questo:

 

dpkg: dassault-systemes-draftsight: problemi con le dipendenze, ma viene configurato ugualmente:
 dassault-systemes-draftsight dipende da libexpat1 (>= 2.0.1-4).
 dassault-systemes-draftsight dipende da libglib2.0-0 (>= 2.22.3-0).
 dassault-systemes-draftsight dipende da libpcre3 (>= 7.8-3).
 dassault-systemes-draftsight dipende da libselinux1 (>= 2.0.85-2).
 dassault-systemes-draftsight dipende da zlib1g (>= 1:1.2.3.3.dfsg-13).
 dassault-systemes-draftsight dipende da libc6 (>= 2.10.1-0).
 dassault-systemes-draftsight dipende da libx11-6 (>= 2:1.2.2-1).
 dassault-systemes-draftsight dipende da libxau6 (>= 1:1.0.4-2).
 dassault-systemes-draftsight dipende da libxcomposite1 (>= 1:0.4.0-4).
 dassault-systemes-draftsight dipende da libxcursor1 (>= 1:1.1.9-1build1).
 dassault-systemes-draftsight dipende da libxdamage1 (>= 1:1.1.1-4).
 dassault-systemes-draftsight dipende da libxdmcp6 (>= 1:1.0.2-3).
 dassault-systemes-draftsight dipende da libxext6 (>= 2:1.0.99.1-0).
 dassault-systemes-draftsight dipende da libxfixes3 (>= 1:4.0.3-2build1).
 dassault-systemes-draftsight dipende da libxi6 (>= 2:1.2.1-2).
 dassault-systemes-draftsight dipende da libxinerama1 (>= 2:1.0.3-2).
 dassault-systemes-draftsight dipende da libxrandr2 (>= 2:1.3.0-2).
 dassault-systemes-draftsight dipende da libxrender1 (>= 1:0.9.4-2).
 dassault-systemes-draftsight dipende da libatk1.0-0 (>= 1.28.0-0).
 dassault-systemes-draftsight dipende da libcairo2 (>= 1.8.8-2).
 dassault-systemes-draftsight dipende da libdirectfb-extra (>= 1.2.7-2).
 dassault-systemes-draftsight dipende da libfontconfig1 (>= 2.6.0-1).
 dassault-systemes-draftsight dipende da libfreetype6 (>= 2.3.9-5).
 dassault-systemes-draftsight dipende da libgtk2.0-0 (>= 2.18.3-1).
 dassault-systemes-draftsight dipende da libpango1.0-0 (>= 1.26.0-1).
 dassault-systemes-draftsight dipende da libpixman-1-0 (>= 0.14.0-1).
 dassault-systemes-draftsight dipende da libpng12-0 (>= 1.2.37-1).
 dassault-systemes-draftsight dipende da libxcb-render0 (>= 1.4-1).
 dassault-systemes-draftsight dipende da libxcb1 (>= 1.4-1).
 dassault-systemes-draftsight dipende da libcomerr2 (>= 1.41.9-1).
 dassault-systemes-draftsight dipende da libdbus-1-3 (>= 1.2.16-0).
 dassault-systemes-draftsight dipende da libexpat1 (>= 2.0.1-4).
 dassault-systemes-draftsight dipende da libgcc1 (>= 1:4.4.1-4).
 dassault-systemes-draftsight dipende da libgcrypt11 (>= 1.4.4-2).
 dassault-systemes-draftsight dipende da libglib2.0-0 (>= 2.22.3-0).
 dassault-systemes-draftsight dipende da libgpg-error0 (>= 1.6-1).
 dassault-systemes-draftsight dipende da libkeyutils1 (>= 1.2-10).
 dassault-systemes-draftsight dipende da libpcre3 (>= 7.8-3).
 dassault-systemes-draftsight dipende da libuuid1 (>= 2.16-1).
 dassault-systemes-draftsight dipende da zlib1g (>= 1:1.2.3.3.dfsg-13).
 dassault-systemes-draftsight dipende da libc6 (>= 2.10.1-0).
 dassault-systemes-draftsight dipende da libgl1-mesa-glx (>= 7.6.0-1).
 dassault-systemes-draftsight dipende da libglu1-mesa (>= 7.6.0-1).
 dassault-systemes-draftsight dipende da libice6 (>= 2:1.0.5-1).
 dassault-systemes-draftsight dipende da libsm6 (>= 2:1.1.0-2).
 dassault-systemes-draftsight dipende da libx11-6 (>= 2:1.2.2-1).
 dassault-systemes-draftsight dipende da libxau6 (>= 1:1.0.4-2).
 dassault-systemes-draftsight dipende da libxdamage1 (>= 1:1.1.1-4).
 dassault-systemes-draftsight dipende da libxdmcp6 (>= 1:1.0.2-3).
 dassault-systemes-draftsight dipende da libxext6 (>= 2:1.0.99.1-0).
 dassault-systemes-draftsight dipende da libxfixes3 (>= 1:4.0.3-2build1).
 dassault-systemes-draftsight dipende da libxrender1 (>= 1:0.9.4-2).
 dassault-systemes-draftsight dipende da libxt6 (>= 1:1.0.5-3).
 dassault-systemes-draftsight dipende da libxxf86vm1 (>= 1:1.0.2-1).
 dassault-systemes-draftsight dipende da libaudio2 (>= 1.9.2-1).
 dassault-systemes-draftsight dipende da libavahi-client3 (>= 0.6.25-1).
 dassault-systemes-draftsight dipende da libavahi-common3 (>= 0.6.25-1).
 dassault-systemes-draftsight dipende da libcups2 (>= 1.4.1-5).
 dassault-systemes-draftsight dipende da libdrm2 (>= 2.4.14-1).
 dassault-systemes-draftsight dipende da libfontconfig1 (>= 2.6.0-1).
 dassault-systemes-draftsight dipende da libgnutls26 (>= 2.8.3-2).
 dassault-systemes-draftsight dipende da libgssapi-krb5-2 (>= 1.7dfsg~beta3-1).
 dassault-systemes-draftsight dipende da libk5crypto3 (>= 1.7dfsg~beta3-1).
 dassault-systemes-draftsight dipende da libkrb5-3 (>= 1.7dfsg~beta3-1).
 dassault-systemes-draftsight dipende da libkrb5support0 (>= 1.7dfsg~beta3-1).
 dassault-systemes-draftsight dipende da libstdc++6 (>= 4.4.1-4).
 dassault-systemes-draftsight dipende da libtasn1-3 (>= 2.2-1).
 dassault-systemes-draftsight dipende da libxcb1 (>= 1.4-1).
Configurazione di dassault-systemes-draftsight (2012.1.1177)…
Set application as default for the user=edmond
Set application as default for the user=edmond
Set application as default for the user=edmond
 

enjoy 😉

Post simili (quasi):

Un commento su “Installare DraftSight su Debian Wheezy/Sid 64-bit”

  1. Firefox 68.0 Firefox 68.0 Windows 10 x64 Edition Windows 10 x64 Edition
    Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:68.0) Gecko/20100101 Firefox/68.0

    Ma secondo Lei si può far girare draftsight su un Raspberry PI4?

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *